Click here to Skip to main content
15,113,726 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
Hi All ,

Can we use MSE4 and MSE5 in mixed mode in the same project.
MSE(Microsoft Enterprise Library)

In our project we are currently using MSE4 and would like to upgrade to MSE5.
Our project contains interfaces that use ref and out keywords.
But MSE5 does not support ref and key words.

But our requirement is we need to support legacy /old clients that use MSE4 and interfaces that use ref and out keyword.

Is it possible to support multiple interfaces so that we can use MSE4 and MSE5 in the same config file so that it can use the version as we required.basically MSE4.0 should invoke for legacy code and MSE5.0 for the latest code.


Please let me know your ideas / suggestions on that.

Thanks,
Sudhakar
Posted
Updated 9-Feb-15 4:31am
v3
Comments
Liju Sankar 6-Feb-15 9:32am
   
similar to thread : http://www.codeproject.com/Questions/873513/How-can-we-apply-the-Microsoft-enterprise-library?arn=4
Kornfeld Eliyahu Peter 9-Feb-15 9:45am
   
"It is possible to use different versions of the Enterprise Library assemblies in the same application, but this may cause issues with dependencies and should generally be avoided if possible."
https://msdn.microsoft.com/en-us/library/ff664457(v=pandp.50).aspx
Member 3975629 10-Feb-15 0:05am
   
Thank you for your help. Please let me know if there are any general tips for avoiding /resolving issues with dependencies.

Thanks,
Sudhakar

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)




CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900